# Learn more about services, parameters and containers at
# https://symfony.com/doc/current/service_container.html
parameters:
    #parameter_name: value

services:
    # default configuration for services in *this* file
    _defaults:
        # automatically injects dependencies in your services
        autowire: true
        # automatically registers your services as commands, event subscribers, etc.
        autoconfigure: true
        # this means you cannot fetch services directly from the container via $container->get()
        # if you need to do this, you can override this setting on individual services
        public: false


    app.query_type.location_children:
        class: AppBundle\QueryType\LocationChildrenQueryType
        public: true
        tags:
            - { name: ezpublish.query_type }

    app.query_type.all_in_tree:
        class: AppBundle\QueryType\LocationAllInTreeQueryType
        public: true
        tags:
            - { name: ezpublish.query_type }

    app.location_paginator:
        class: AppBundle\Service\Paginator\LocationPaginator
        public: true
